﻿using System.Collections.Generic;
using CocosSharp;

namespace KuruKuru
{
	public abstract class BaseLayer : CCLayerColor
	{

		public BaseLayer()
			: base()
		{
		}

		protected List<CCNode> GetChildrenByTag(int tag)
		{
			var nodes = new List<CCNode>();
			foreach (var node in this.Layer.Children)
			{
				if (node.Tag == tag)
				{
					nodes.Add(node);
				}
			}
			return nodes;
		}
	}
}
