﻿using Android.App;
using Android.Content.PM;
using Android.OS;
using Android.Views;
using CocosSharp;
using KuruKuru;
using Microsoft.Xna.Framework;

namespace KuruKuru.Droid
{
    [Activity(Label = "KuruKuru"
        , MainLauncher = true
        , Icon = "@drawable/icon"
        , AlwaysRetainTaskState = true
        , LaunchMode = LaunchMode.SingleInstance
        , ConfigurationChanges = ConfigChanges.Orientation | ConfigChanges.Keyboard | ConfigChanges.KeyboardHidden
        , ScreenOrientation = ScreenOrientation.Portrait
    )]
    public class MainActivity : AndroidGameActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            var application = new CCApplication();
            application.ApplicationDelegate = new GameApplicationDelegate();
            SetContentView(application.AndroidContentView);
            application.StartGame();
        }
	}
}