﻿using CocosDenshion;
using CocosSharp;

namespace KuruKuru
{
	public class GameApplicationDelegate : CCApplicationDelegate
	{
		public override void ApplicationDidFinishLaunching(CCApplication application, CCWindow mainWindow)
		{
			application.PreferMultiSampling = false;
			application.ContentRootDirectory = "Content";
			application.ContentSearchPaths.Add("Sounds");
			CCScene.SetDefaultDesignResolution(720, 960, CCSceneResolutionPolicy.ShowAll);
			var scene = new CCScene(mainWindow);
			var layer = new TitleLayer();
			scene.AddChild(layer);
			mainWindow.RunWithScene(scene);
		}

		public override void ApplicationDidEnterBackground(CCApplication application)
		{
			application.Paused = true;
			CCSimpleAudioEngine.SharedEngine.PauseBackgroundMusic();
		}

		public override void ApplicationWillEnterForeground(CCApplication application)
		{
			application.Paused = false;
			CCSimpleAudioEngine.SharedEngine.ResumeBackgroundMusic();
		}

	}
}